# tunerchannel.h File Reference

`#include <glibmm.h>`
`#include <glibmm/object.h>`

Go to the source code of this file.

## Classes

class | Gst::TunerChannel
| Gst::TunerChannel - A channel from an element implementing the Gst::Tuner interface. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::TunerChannelFlags { Gst::TUNER_CHANNEL_INPUT = 1<<0, Gst::TUNER_CHANNEL_OUTPUT = 1<<1, Gst::TUNER_CHANNEL_FREQUENCY = 1<<2, Gst::TUNER_CHANNEL_AUDIO = 1<<3 }

## Functions

TunerChannelFlags | Gst::operator| (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator& (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator^ (TunerChannelFlags lhs, TunerChannelFlags rhs)
TunerChannelFlags | Gst::operator~ (TunerChannelFlags flags)
TunerChannelFlags& | Gst::operator|= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
TunerChannelFlags& | Gst::operator&= (TunerChannelFlags& lhs, TunerChannelFlags rhs)
TunerChannelFlags& | Gst::operator^= (TunerChannelFlags& lhs, TunerChannelFlags rhs)